aboutsummaryrefslogtreecommitdiff
path: root/github_sync.sh
diff options
context:
space:
mode:
authorGravatar Jonas Gunz <himself@jonasgunz.de> 2023-07-25 11:34:23 +0200
committerGravatar Jonas Gunz <himself@jonasgunz.de> 2023-07-25 11:34:23 +0200
commitf6b2696762078ee9a991448e42a3e9d09cbe9007 (patch)
tree19845e9c224586f70a0eb1906af941ac931a9683 /github_sync.sh
parent4f5579b634f2a459d1a2fa8bdebc668928a8e501 (diff)
downloadreposync-master.tar.gz
fix: 100 results per pageHEADmaster
Diffstat (limited to 'github_sync.sh')
-rwxr-xr-xgithub_sync.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/github_sync.sh b/github_sync.sh
index 61bdd45..d0eb464 100755
--- a/github_sync.sh
+++ b/github_sync.sh
@@ -70,7 +70,7 @@ function github_update_repo_list() {
local JSON_REPOS
JSON_REPOS=$(curl_wrapper -u $USERNAME:$TOKEN \
- "$API_BASE/user/repos?visibility=$VISIBILITY"; exit $?)
+ "$API_BASE/user/repos?visibility=$VISIBILITY&per_page=100"; exit $?)
[ $? -ne 0 ] && jq ".message" <<< "$JSON_REPOS" && exit 1
GH_REPOS_COUNT=$(jq ". | length" <<< "$JSON_REPOS")